-- Copyright (c) 2011 Cloudera, Inc. All rights reserved.
--
-- Version 7 of the CMF schema. Migration code to be applied on top of the
-- previous version.
--
-- Creates tables for users and user roles to support multiple SCM users

update SCHEMA_VERSION set VERSION=7;

create table USERS (
    USER_ID int8 not null,
    USER_NAME varchar(255) not null,
    PASSWORD_HASH varchar(255) not null,
    PASSWORD_SALT int8 not null,
    primary key (USER_ID)
);

create table USER_ROLES (
    USER_ROLE_ID int8 not null,
    USER_ID int8 not null,
    USER_ROLE varchar(255) not null,
    primary key (USER_ROLE_ID)
);

alter table USER_ROLES
  add constraint FK_USER_ROLE
  foreign key (USER_ID)
  references USERS;

create index IDX_USER_ROLE on USER_ROLES (USER_ID);
