// (c) Copyright 2012 Cloudera, Inc. All rights reserved.

define(["cloudera/logs/page/LogWithContext","cloudera/Util","cloudera/common/Humanize","cloudera/common/TimeUtil","cloudera/common/I18n"],function(e,t,n,r,i){describe("LogWithContext tests",function(){var n,s=3,o=function(e,t){return{logLevel:"WARN",message:"Test message",offset:e,path:"/test/path.log",roleId:null,source:"com.cloudera.cmf.event.publish.EventStorePublisherWIthRetry",time:t}},u=function(){var e,t=[],n;for(e=0;e<100;e++){var r=9e6-e*1e5,i=133495e7+e*1e6;t.push(o(r,i)),e===s&&(n=r)}return{host:"testhost",pivotOffset:n,port:9e3,success:!0,events:t}};beforeEach(function(){jasmine.Ajax.useMock(),n=new e({logEventUrl:"http://localhost/logEventUrl",downloadUrl:"http://localhost/downloadUrl",hostUrlPrefix:"http://localhost/hostUrlPrefix"}),spyOn(r,"getTimezoneDelta").andReturn(0)}),it("allows non-message columns to be collapsed and expanded",function(){$('<div class="nonMessageColumn"></div>').appendTo("body"),expect(n.tableCollapsed()).toEqual(!1),n.collapseColumns(),expect($(".nonMessageColumn").hasClass("hidden")).toEqual(!0),expect(n.tableCollapsed()).toEqual(!0),n.expandColumns(),expect($(".nonMessageColumn").hasClass("hidden")).toEqual(!1),expect(n.tableCollapsed()).toEqual(!1)}),it("has a hack for IE8 in there",function(){$("html").addClass("ie8");var e={style:{display:""}};n.$mainTable=[e],spyOn(window,"setTimeout"),n.collapseColumns(),expect(e.style.display).toEqual("inline-table"),expect(window.setTimeout).wasCalled()}),it("knows how to publish error events",function(){spyOn(jQuery,"publish"),n.showError("An error"),expect(jQuery.publish).wasCalledWith("showError",["An error"])}),it("publishes errors when receiving errors from the server",function(){spyOn(n,"showError"),spyOn(i,"t");var e={success:!1,message:"Another error!"},t=n.onLogResponse(function(){});t(e),expect(n.showError).wasCalled(),expect(i.t).wasCalled()}),it("should have a blank initial selectedEventIndex",function(){expect(n.selectedEventIndex()).toEqual(undefined)}),it("should scroll when the selected event changes",function(){spyOn(n,"scrollToIndex"),n.onSelectedEventIndexChanged(0),expect(n.scrollToIndex).wasCalledWith(0)}),it("should scroll to the bottom when first coming to the page",function(){var e=[1,2,3];spyOn(n,"events").andReturn(e),spyOn(n,"params").andReturn({}),spyOn(n,"scrollToIndex"),n.onSelectedEventIndexChanged(-1),expect(n.scrollToIndex).wasCalledWith(e.length-1)}),it("should calculate first offset from the first event",function(){n.firstEvent({offset:354}),expect(n.firstOffset()).toEqual(354)}),it("should not have problems generating first offset if there is no first event",function(){n.firstEvent(null),expect(n.firstOffset()).toEqual(0)}),it("should not have problems generating last offset if there is no last event",function(){n.lastEvent(null),expect(n.lastOffset()).toEqual(0)}),it("should calculate last offset from the last event",function(){n.lastEvent({offset:123}),expect(n.lastOffset()).toEqual(123)}),it("should calculate first formatted date from first event",function(){n.firstEvent({time:1334251763077}),expect(n.formattedFirstDate()).toEqual("April 12 2012 10:29 AM")}),it("should calculate last formatted date from last event",function(){n.lastEvent({time:1334957116e3}),expect(n.formattedLastDate()).toEqual("April 20 2012 2:25 PM")}),it("should not return a formatted date for zero first event time",function(){n.firstEvent({time:0}),expect(n.formattedFirstDate()).toEqual("")}),it("should not return a formatted date for zero last event time",function(){n.lastEvent({time:0}),expect(n.formattedLastDate()).toEqual("")}),it("should not have problems calculating first formatted date if first event is null",function(){n.firstEvent(null),expect(n.formattedFirstDate()).toEqual("")}),it("should not have problems calculating last formatted date if last event is null",function(){n.lastEvent(null),expect(n.formattedLastDate()).toEqual("")}),it("should display an error if the data is not valid",function(){spyOn(jQuery,"publish"),n.onLogResponse(function(){})('<div class="RegionContent">ExceptionReport</div>'),expect(jQuery.publish).wasCalled()}),it("should process events independent of what happens to them next",function(){var e=u();this.verifyEvents=function(t){var n=t.events;expect(n.length).toEqual(e.events.length),expect(n[0].hasOwnProperty("highlighted")).toBeTruthy(),expect(n[0].highlighted).toBeFalsy(),expect(t.pivotOffset).toEqual(e.pivotOffset)},spyOn(this,"verifyEvents").andCallThrough(),n.onLogResponse(this.verifyEvents)(e),expect(this.verifyEvents).wasCalled()}),it("should display every event and set the other dependent properties efficiently",function(){var e=t.filterError(u());spyOn(n.events,"push").andCallThrough(),spyOn(n,"params").andReturn({offset:e.events[3].offset}),n.onInitialResponse(e),expect(n.events.push.callCount).toEqual(0),expect(n.events()[0].offset).toEqual(9e6),expect(n.events().length).toEqual(e.events.length),expect(n.firstEvent().offset).toEqual(e.events[0].offset),expect(n.lastEvent().offset).toEqual(e.events[e.events.length-1].offset),expect(n.selectedEventIndex()).toEqual(s),expect(n.events()[3].highlighted).toBeTruthy(),expect(n.firstAccess).toEqual(!1)}),it("tracks the first row as a jQuery object",function(){spyOn(n.$mainTable,"find").andReturn("row"),n.firstEvent("thing"),expect(n.$mainTable.find.callCount).toEqual(1),expect(n.$mainTable.find.argsForCall[0]).toEqual(["tbody tr:first-child"])}),it("tracks the last row as a jQuery object",function(){spyOn(n.$mainTable,"find").andReturn("row"),n.lastEvent("thing2"),expect(n.$mainTable.find.callCount).toEqual(1),expect(n.$mainTable.find.argsForCall[0]).toEqual(["tbody tr:last-child"])}),it("prepends events correctly and sets dependent properties",function(){var e,t=[];for(e=0;e<3;e++)t.push(o(e+2,e+52));n.events(t),spyOn(n,"firstEvent"),n.$firstRow=$("tr"),spyOn(n.$firstRow,"position").andReturn({top:0});var r=o(0,50),i=o(1,51);spyOn(n,"preservePosition"),spyOn(n,"restorePosition");var s={events:[r,i]};n.prependEvents(s),expect(r.clazz).toEqual(""),expect(i.clazz).toEqual(""),expect(n.firstEvent).wasCalledWith(r),expect(n.preservePosition).wasCalled(),expect(n.restorePosition).wasCalled();var u=n.events();expect(u.length).toEqual(5),expect(u[0]).toEqual(r),expect(u[1]).toEqual(i),expect(u[2]).toEqual(t[0])}),it("prepends events correctly when there are duplicates",function(){var e=[],t=[],r;for(r=0;r<3;r++)e.push(o(r,50+r)),t.push(o(r+1,51+r));n.events(t),n.$firstRow=$("tr"),spyOn(n.$firstRow,"position").andReturn({top:0}),spyOn(n,"preservePosition"),spyOn(n,"restorePosition");var i={events:e};n.prependEvents(i),expect(n.preservePosition).wasCalled(),expect(n.restorePosition).wasCalled();var s=n.events();expect(s.length).toEqual(4);for(r=0;r<4;r++)expect(s[r].offset).toEqual(r)}),it("appends events correctly and sets dependent properties",function(){var e,t=[];for(e=0;e<3;e++)t.push(o(e,e+50));n.events(t),spyOn(n,"lastEvent");var r=o(3,53),i=o(4,54);spyOn(n,"preservePosition"),spyOn(n,"restorePosition");var s={events:[r,i]};n.appendEvents(s),expect(r.clazz).toEqual(""),expect(i.clazz).toEqual(""),expect(n.preservePosition).wasCalled(),expect(n.restorePosition).wasCalled(),expect(n.lastEvent).wasCalledWith(i);var u=n.events();expect(u.length).toEqual(5),expect(u[2].offset).toEqual(t[2].offset),expect(u[3]).toEqual(r),expect(u[4]).toEqual(i)}),it("appends events correctly when there are duplicates",function(){var e=[],t=[],r;for(r=0;r<3;r++)e.push(o(r,50+r)),t.push(o(r+1,51+r));n.events(e),spyOn(n,"preservePosition"),spyOn(n,"restorePosition");var i={events:t};n.appendEvents(i),expect(n.preservePosition).wasCalled(),expect(n.restorePosition).wasCalled();var s=n.events();expect(s.length).toEqual(4);for(r=0;r<4;r++)expect(s[r].offset).toEqual(r)}),it("displays a maximum number of events when prepending",function(){var t,r=4;n=new e({logEventUrl:"http://localhost/logEventUrl",downloadUrl:"http://localhost/downloadUrl",hostUrlPrefix:"http://localhost/hostUrlPrefix",maxEvents:r});var i=[],s=[];for(t=0;t<3;t++)i.push(o(1e3+t*10,1e4+t*1e3)),s.push(o(900+t*10,5e3+t*1e3));n.events(i),spyOn(n,"preservePosition"),spyOn(n,"restorePosition");var u={events:s};n.prependEvents(u);var a=n.events();expect(a.length).toEqual(r),expect(a[0].offset).toEqual(900),expect(a[1].offset).toEqual(910),expect(a[2].offset).toEqual(920),expect(a[3].offset).toEqual(1e3),expect(n.preservePosition).wasCalled(),expect(n.restorePosition).wasCalled()}),it("displays a maximum number of events when appending",function(){var t,r=4;n=new e({logEventUrl:"http://localhost/logEventUrl",downloadUrl:"http://localhost/downloadUrl",hostUrlPrefix:"http://localhost/hostUrlPrefix",maxEvents:r});var i=[],s=[];for(t=0;t<3;t++)i.push(o(900+t*10,5e3+t*1e3)),s.push(o(1e3+t*10,1e4+t*1e3));n.events(i),spyOn(n,"preservePosition"),spyOn(n,"restorePosition");var u={events:s};n.appendEvents(u);var a=n.events();expect(a.length).toEqual(r),expect(a[0].offset).toEqual(920),expect(a[1].offset).toEqual(1e3),expect(a[2].offset).toEqual(1010),expect(a[3].offset).toEqual(1020),expect(n.preservePosition).wasCalled(),expect(n.restorePosition).wasCalled()}),it("will only allow one in-flight request at a time",function(){var e=jasmine.createSpy();e.complete=function(){},spyOn($,"post").andReturn(e);var t=null;spyOn(e,"complete").andCallFake(function(){t=e.complete.mostRecentCall.args[0]}),n.requestInFlight=!1,n.makeRequest({}),expect($.post).wasCalled(),expect(e.complete).wasCalled(),expect(n.requestInFlight).toEqual(!0),expect(t).not.toBeFalsy(),n.makeRequest({}),t(),expect(n.requestInFlight).toEqual(!1),n.makeRequest({}),expect($.post.callCount).toEqual(2)}),it("will not make any server requests if not within a scroll threshold",function(){var e=jasmine.createSpy();e.height=function(){},spyOn(n.$mainTableContainer,"find").andReturn(e),spyOn(n.$mainTableContainer,"scrollTop").andReturn(500),spyOn(n.$mainTableContainer,"height").andReturn(100),spyOn(e,"height").andReturn(1e3),spyOn(n,"makeRequest"),n.onTableScroll(),expect(n.makeRequest).wasNotCalled()}),it("will make server requests using the top offset if within the top scroll threshold",function(){var e=jasmine.createSpy();e.height=function(){},spyOn(n.$mainTableContainer,"find").andReturn(e),spyOn(n.$mainTableContainer,"scrollTop").andReturn(0),spyOn(n.$mainTableContainer,"height").andReturn(100),spyOn(e,"height").andReturn(1e3),spyOn(n,"makeRequest"),n.onTableScroll(),expect(n.makeRequest).wasCalled()}),it("will make server requests using the bottom offset if within the bottom scroll threshold",function(){var e=jasmine.createSpy();e.height=function(){},spyOn(n.$mainTableContainer,"find").andReturn(e),spyOn(n.$mainTableContainer,"scrollTop").andReturn(900),spyOn(n.$mainTableContainer,"height").andReturn(100),spyOn(e,"height").andReturn(1e3),spyOn(n,"makeRequest"),n.onTableScroll(),expect(n.makeRequest).wasCalled()}),it("knows how to merge events when there are no new events",function(){var e=[],t=[o(0,1),o(2,3),o(4,5)],r=n.mergeEvents(e,t);expect(r.length).toEqual(3),expect(r[0].time).toEqual(1),expect(r[1].time).toEqual(3),expect(r[2].time).toEqual(5),r=n.mergeEvents(t,e),expect(r.length).toEqual(3),expect(r[0].time).toEqual(1),expect(r[1].time).toEqual(3),expect(r[2].time).toEqual(5)}),it("knows how to merge events when there is no overlap",function(){var e=[],t=[],r;for(r=0;r<3;r++)e.push(o(r,r+50)),t.push(o(r+3,r+53));var i=n.mergeEvents(e,t);expect(i.length).toEqual(6),expect(i[0].time).toEqual(50),expect(i[1].time).toEqual(51),expect(i[2].time).toEqual(52),expect(i[3].time).toEqual(53),expect(i[4].time).toEqual(54),expect(i[5].time).toEqual(55),i=n.mergeEvents(t,e),expect(i.length).toEqual(6),expect(i[0].time).toEqual(50),expect(i[1].time).toEqual(51),expect(i[2].time).toEqual(52),expect(i[3].time).toEqual(53),expect(i[4].time).toEqual(54),expect(i[5].time).toEqual(55)}),it("knows how to merge events when there is overlap and duplicates",function(){var e=[],t=[],r;for(r=0;r<4;r++)e.push(o(r,r+50)),t.push(o(r+2,r+52));var i=n.mergeEvents(e,t);expect(i.length).toEqual(6),expect(i[0].time).toEqual(50),expect(i[1].time).toEqual(51),expect(i[2].time).toEqual(52),expect(i[3].time).toEqual(53),expect(i[4].time).toEqual(54),expect(i[5].time).toEqual(55)})})})